org.eclipse.emf.cdo.common.lob

## Class CDOBlob

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobInfo
  - - org.eclipse.emf.cdo.common.lob.CDOLob<java.io.InputStream>
    - - org.eclipse.emf.cdo.common.lob.CDOBlob

-     public final class CDOBlob
      extends CDOLob<java.io.InputStream>

  An identifiable binary large object with streaming support.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOBlob(java.io.InputStream contents)`
    `CDOBlob(java.io.InputStream contents, CDOLobStore store)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getContents()`
    `protected CDOLobInfo` | `put(java.io.InputStream contents)`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLob

      `getStore`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

      `getID, getIDString, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOBlob

          public CDOBlob(java.io.InputStream contents)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### CDOBlob

          public CDOBlob(java.io.InputStream contents,
                         CDOLobStore store)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getContents

          public java.io.InputStream getContents()
                                          throws java.io.IOException

      Specified by:
        `getContents` in class `CDOLob<java.io.InputStream>`
      Throws:
        `java.io.IOException`

    - #### put

          protected CDOLobInfo put(java.io.InputStream contents)
                            throws java.io.IOException

      Specified by:
        `put` in class `CDOLob<java.io.InputStream>`
      Throws:
        `java.io.IOException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html